<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Booking\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class BookingOpeningTime extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="BookingOpeningTime"; 
		$this->Alias = "BookingOpeningTime"; 

		$this->Day = new Property("Day", "Day", NUMERICBOX,  false, $this->Alias); 
		$this->HourStartAm = new Property("HourStartAm", "HourStartAm", TEXTAREA,  false, $this->Alias); 
		$this->HourEndAm = new Property("HourEndAm", "HourEndAm", TEXTAREA,  false, $this->Alias); 
		$this->HourStartPm = new Property("HourStartPm", "HourStartPm", TEXTAREA,  false, $this->Alias); 
		$this->HourEndPm = new Property("HourEndPm", "HourEndPm", TEXTAREA,  false, $this->Alias); 
		$this->DateExtra = new Property("DateExtra", "DateExtra", DATEBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>